Content Categories

Returns information about a single content category by ID.

Returns information about a single content category by ID.

get
https://api.migros.ch/migros/products/v8/content-categories/{id}

Query Parameters

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

idstringrequired

Resource ID or slug (if available).

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

ContentCategory

Represents a content category from Magnolia.

display_namestring | null
idstringrequired
namestringrequired
parent_idstring
pathstring
get/migros/products/v8/content-categories/{id}
 
application/json

AbstractCollection

A generic collection of elements.

AbstractSearchResultCollection

object

A collection of search result instances.

idsarray[string]

Ids only.

Is filled instead of the usual property for content, with only the ids when a call is made with verbosity=id on a
route that supports it.

total_hitsinteger

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

Example

ContentCategory

object

Represents a content category from Magnolia.

display_namestring
idstringrequired
namestringrequired
parent_idstring
pathstring
Example

ContentCategoryCollection

object

A collection of content category instances.

idsarray[string]

Ids only.

Is filled instead of the usual property for content, with only the ids when a call is made with verbosity=id on a
route that supports it.

total_hitsinteger

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

content_categoriesarray[object]

Represents a content category from Magnolia.

Show Child Parameters
Example